%global _empty_manifest_terminate_build 0
Name:           python-sphinx-testing
Version:        1.0.1
Release:        1
Summary:        testing utility classes and functions for Sphinx extensions
License:        BSD
URL:            https://github.com/sphinx-doc/sphinx-testing
Source0:        https://files.pythonhosted.org/packages/30/c5/2f46418041e31fdc36338b03e2aacc7bf42f699d67d424753db7e04a655a/sphinx-testing-1.0.1.tar.gz
BuildArch:      noarch
%description
sphinx-testing provides testing utility classes and functions for Sphinx extensions

%package -n python3-sphinx-testing
Summary:        testing utility classes and functions for Sphinx extensions
Provides:       python-sphinx-testing
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-sphinx
BuildRequires:  python3-six
# General requires
Requires:       python3-sphinx
Requires:       python3-six
%description -n python3-sphinx-testing
sphinx-testing provides testing utility classes and functions for Sphinx extensions

%package help
Summary:        testing utility classes and functions for Sphinx extensions
Provides:       python3-sphinx-testing-doc
%description help
sphinx-testing provides testing utility classes and functions for Sphinx extensions

%prep
%autosetup -n sphinx-testing-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-sphinx-testing -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Oct 28 2021 OpenStack_SIG <openstack@openeuler.org> - 1.0.1-1
- Upgrade package python3-sphinx-testing to version 1.0.1

* Fri Jul 30 2021 OpenStack_SIG <openstack@openeuler.org> - 1.0.1-1
- Package Spec generate
